#
# spec file for package saltboot-formula
#
# Copyright (c) 2020 SUSE LLC.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name:           saltboot-formula
Version:        0.1.1692188980.9aa0455
Release:        220400.1.1.uyuni2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         saltboot-formula-%{version}.tar.xz
Summary:        Formula for boot image of POS terminal
License:        GPL-2.0
Group:          System/Packages
BuildArch:      noarch
%define fname saltboot

%description
Formula for boot image of POS terminal.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}/usr/share/susemanager/formulas/states/{%{fname},%{fname}-orchestrate,%{fname}-reactor,_states}
mkdir -p %{buildroot}/usr/share/susemanager/formulas/metadata/%{fname}
mkdir -p %{buildroot}/usr/share/susemanager/formulas/metadata/%{fname}-group
cp -R %{fname}/* %{buildroot}/usr/share/susemanager/formulas/states/%{fname}
cp -R _states/* %{buildroot}/usr/share/susemanager/formulas/states/_states
cp -R %{fname}-reactor/* %{buildroot}/usr/share/susemanager/formulas/states/%{fname}-reactor
cp metadata/form.yml %{buildroot}/usr/share/susemanager/formulas/metadata/%{fname}
cp metadata/metadata.yml %{buildroot}/usr/share/susemanager/formulas/metadata/%{fname}
cp metadata/*.example %{buildroot}/usr/share/susemanager/formulas/metadata/%{fname}
cp metadata/%{fname}-group-form.yml %{buildroot}/usr/share/susemanager/formulas/metadata/%{fname}-group/form.yml
cp metadata/%{fname}-group-metadata.yml %{buildroot}/usr/share/susemanager/formulas/metadata/%{fname}-group/metadata.yml

mkdir -p %{buildroot}/etc/salt/master.d
cp -R master.d/* %{buildroot}/etc/salt/master.d


%files
%defattr(-,root,root,-)
/usr/share/susemanager
%dir /etc/salt
/etc/salt/master.d

%changelog
* Wed Aug 16 2023 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1692188980.9aa0455
  * Add pillar based saltboot redeploy and repartitioning
    (jsc#SUMA-158)
* Tue Jun 27 2023 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1687872218.961c926
  * Fix custom info freeze boolean check (bsc#1212771)
* Wed May 31 2023 Vladimir Nadvornik <nadvornik@suse.cz>
- Update to version 0.1.1687520761.cefb248
  * Add option to freeze the deployed image
* Mon Jan  9 2023 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1673279145.e7616bd
  * Add failsafe stop file when salt-minion does not stop (bsc#1172110)
  * Add use case of saltboot group formula outside containerized env
    (bsc#1206186)
  * Add 'kernel_action' to saltboot form (bsc#1206055)
* Fri Aug 26 2022 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1661440542.6cbe0da
  * Fallback to local boot if the configured image is not synced
  * Support salt bundle
* Wed May  4 2022 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1651594561.7c2312c
  * Remove annotations incompatible with SLE12 python2.7
  * Specify required columns in lsblk output
* Tue May  3 2022 Ondrej Holecek <oholecek@suse.com>
- Remove annotations incompatible with SLE12 python2.7 (bsc#1199199)
* Fri Apr 29 2022 Vladimir Nadvornik <nadvornik@suse.com>
- Specify required columns in lsblk output (bsc#1199200)
* Tue Apr 12 2022 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1649927201.7ff486e
  * Use always the same URL regardless bundle and non-bundle build
  * Fix handling pxe event for non-containerized branch
* Thu Apr  7 2022 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1649339849.4798397
  * Adapt saltboot for bundle less and branch less functionality
  * Allow image versions with or without release
* Fri Apr  1 2022 Ondrej Holecek <oholecek@suse.com>
- Adapt saltboot for bundle less and branch server less functionality
* Tue Feb 22 2022 Vladimir Nadvornik <nadvornik@suse.com>
- Allow image versions with or without release
* Mon Feb 21 2022 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1645440615.7f1328c
  * skip device lookup for correctly provided devices
  * improve image url modifications - preparation for ftp/http changes
* Fri Feb 18 2022 Ondrej Holecek <oholecek@suse.com>
- Skip device lookup if correct path to device is already provided
  (bsc#1195757)
* Fri Feb 11 2022 Vladimir Nadvornik <nadvornik@suse.com>
- Improve image url modifications
* Tue Nov 16 2021 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1637232240.87d79ed
  * Prevent python failure under some circumstances when filesystem
    was not set (bsc#1192440)
  * Add missing boot_images option in SLE11 saltboot version
* Fri May 28 2021 Vladimir Nadvornik <nadvornik@suse.com>
- Use kernel parameters from PXE formula also for local boot
- Update to version 0.1.1628156312.dbd0dec
* Mon May 10 2021 Vladimir Nadvornik <nadvornik@suse.com>
- Fix execution of boot image download command (bsc#1185509)
- Update to version 0.1.1620661758.3af6be9
* Mon May  3 2021 Vladimir Nadvornik <nadvornik@suse.com>
- Better error reporting on boot image download (bsc#1185509)
- Update to version 0.1.1620138994.d7f39a0
* Fri Feb 19 2021 Vladimir Nadvornik <nadvornik@suse.com>
- Install bootloader before kexec/reboot
- Update to version 0.1.1614159840.ef7cad5
* Tue Nov 10 2020 Ondrej Holecek <oholecek@suse.com>
- support older SLE11 cryptsetup (bsc#1172287)
- Update to version 0.1.1605087464.65d1b51
* Thu Oct 29 2020 Vladimir Nadvornik <nadvornik@suse.com>
- Use images with "synced" flag
* Thu Sep 17 2020 Vladimir Nadvornik <nadvornik@suse.com>
- Allow setting terminal kernel parameters in saltboot formula
- Update to version 0.1.1602150122.f08af0a
* Thu Jul  2 2020 Vladimir Nadvornik <nadvornik@suse.com>
- Better fix for rounding errors (bsc#1136857)
- Update to version 0.1.1595937550.0285244
* Tue Jun  9 2020 Vladimir Nadvornik <nadvornik@suse.com>
- use kexec --kexec-syscall-auto if possible (bsc#1172829)
- Update to version 0.1.1592576670.67bdfea
* Wed May 20 2020 Vladimir Nadvornik <nadvornik@suse.com>
- Allow wildcards for device name (bsc#1170824)
- Fix corner cases of RAID setup
- Update to version 0.1.1590413773.a959db7
* Tue Apr 28 2020 Ondrej Holecek <oholecek@suse.com>
- Update form and metadata to use new formula features
- Update to version 0.1.1588156049.952b58d
* Wed Apr 15 2020 Ondrej Holecek <oholecek@suse.com>
- Add grain to force image redeployment and repartition
- Update to version 0.1.1587051918.6bc9e88
* Wed Mar 18 2020 Ondrej Holecek <oholecek@suse.com>
- Allow pillar customizable download urls
  Saltboot now recognizes following pillars:
  - saltboot_download_server: specifies from where download the images, kernel, etc.
  - saltboot_download_protocol: specifies what protocol to use for download
- Update to version 0.1.1585064259.12b97ef
* Tue Mar 10 2020 Vladimir Nadvornik <nadvornik@suse.com>
- Use more reliable progress output
* Thu Mar  5 2020 Vladimir Nadvornik <nadvornik@suse.com>
- Python3 compatibility fix
- Update to version 0.1.1583842676.2fc2fa6
* Wed Mar  4 2020 Vladimir Nadvornik <nadvornik@suse.com>
- Use file.read instead of cp.get_file_str
* Tue Mar  3 2020 Vladimir Nadvornik <nadvornik@suse.com>
- Improve image cache debug messages
* Wed Nov 20 2019 Ondrej Holecek <oholecek@suse.com>
- Force fsck before image resize
- Update to version 0.1.1574263639.c30ba46
* Tue Oct  1 2019 Vladimir Nadvornik <nadvornik@suse.com>
- Allow custom actions in initrd phase via saltboot_hook.sls
- Update to version 0.1.1573133286.06608d5
* Mon Aug 19 2019 Vladimir Nadvornik <nadvornik@suse.com>
- Update to version 0.1.1568808472.be9f236
- Make sure ImageVersion is written during deployment
* Wed Jul 24 2019 Vladimir Nadvornik <nadvornik@suse.com>
- Update to version 0.1.1564399963.cf19a13
- Fix rounding errors at the end of disk (bsc#1136857)
* Thu May 23 2019 Ondrej Holecek <oholecek@suse.com>
- Updated copyrights and bug reporting link
- Update to version 0.1.1558613789.64ba093
* Mon May  6 2019 nadvornik@suse.com
- Update to version 0.1.1557760069.e3d27d9
- Make sure the moutpoints exist
* Fri May  3 2019 Ondrej Holecek <oholecek@suse.com>
- Adapt urlparse import to work with python3
* Fri May  3 2019 nadvornik@suse.com
- Allow setting saltboot kernel action in pillar
* Thu May  2 2019 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1555335519.abf24f8
* Wed Apr 10 2019 nadvornik@suse.com
- Support for SLES11
* Fri Mar 29 2019 nadvornik@suse.com
- Allow creating EFI partition
* Wed Mar 27 2019 nadvornik@suse.com
- Use "root" option on kernel commandline
* Wed Jan 16 2019 nadvornik@suse.com
- Merge verify_boot_image and boot_system states
  to fix failed entries in event log
* Fri Jan  4 2019 nadvornik@suse.com
- Force swap formatting on each boot
* Thu Jan  3 2019 nadvornik@suse.com
- First support for image cache on service partition
* Wed Jan  2 2019 Ondrej Holecek <oholecek@suse.com>
- Use FTP active mode for image download
- Always deploy image when image is specified in partitioning
  pillar (bsc#1119807)
* Fri Nov 23 2018 nadvornik@suse.com
- Call blockdev.formatted with force=True
* Mon Nov 19 2018 Ondrej Holecek <oholecek@suse.com>
- Allow RAID images to be defined by saltboot formula
  - image information can be provided directly for disk
  - allow "none"  disk label in formula and in that case
    hide partitioning information
* Tue Oct 16 2018 nadvornik@suse.com
- Send pxe_update by external command to make sure it is finished
  (bsc#1111387)
* Thu Oct  4 2018 nadvornik@suse.com
- Better error message on missing partitioning pillar (bsc#1110625)
* Tue Sep 25 2018 Ondrej Holecek <oholecek@suse.com>
- Form disk and partition id clarifications
- Placeholder now provides help instead of appearing
  as default value
* Mon Sep 24 2018 Ondrej Holecek <oholecek@suse.com>
- Rename 'initrd' grain to 'saltboot_initrd'
* Fri Sep 21 2018 Ondrej Holecek <oholecek@suse.com>
- Unify event naming with the rest of SUSE Manager events
* Mon Sep 17 2018 nadvornik@suse.com
- Use full path to saltboot-reactor
* Wed Sep  5 2018 nadvornik@suse.com
- dropped saltboot registration files, this is now
  handled in SUSE Manager code
* Tue Aug 21 2018 nadvornik@suse.com
- Use visibleIf tag where appropriate
* Mon Aug 13 2018 nadvornik@suse.com
- Do not use orchestrate for pxe update
* Tue Aug  7 2018 nadvornik@suse.com
- Use branch ID as a Saltboot branch identification
* Tue Jun 12 2018 oholecek@suse.com
- Readd partitioning:device pillar
* Mon Jun  4 2018 oholecek@suse.com
- Adapt saltboot partitioning form to edit-group
* Thu May 31 2018 oholecek@suse.com
- Rewrite registration runner to use spacewalk.api runner
* Thu Apr 26 2018 nadvornik@suse.com
- Adjusted metadata to use SUSE Manager Retail group
* Mon Mar 26 2018 oholecek@suse.com
- Add yaml format filter where dict is passed to jinja
* Wed Mar 21 2018 nadvornik@suse.com
- Simplify pillar structure: image versions are simple dict
* Sun Mar 18 2018 oholecek@suse.com
- Check kernel version and reboot or run kexec
- Use orchestrate with queue=True consistently
  - This might fix the races during terminal boot.
- RAID improvements
  - copied and extended raid.present() salt/states/mdadm.py
  - handle inactive RAIDs in _try_umount_device
  - improved dependencies
- Support RAID in saltboot
- Skip saltboot in system image
  - SUMA adds saltboot formula to highstate, so it is safer
    to explicitly exclude it.
- Orchestrate boot of a terminal
- Saltboot fixes
  - add dependencies so salt does not exit if there are errors
  - use parted --wipesignatures
  - added checks for various error conditions
* Wed May 31 2017 nadvornik@suse.com
- add custom state module
* Tue May 23 2017 nadvornik@suse.com
- new package
